package com.ssj.service.sys.lesson.service;

import com.ssj.bean.sys.lesson.domain.LessonServiceApply;
import com.ssj.framework.core.common.service.BaseService;


public interface LessonServiceApplyService extends BaseService<LessonServiceApply, String> {

	LessonServiceApply findInfoByCourseId(String courseId, int i);
	
	public LessonServiceApply findFirstByKmtCourseIdAndType(String kmtCourseId,int type);

	public LessonServiceApply findByKmtCourseIdAndType(String kmtCourseId,int type);
	
	/**
	 * 
	
	 * 方法说明:更新家长申请 逾期12小时未处理即失效
	
	 * 创立日期:2018年6月14日 下午1:35:46
	 * 创建人:yangcan
	
	 */
	public void updateApplyInvalid();
	
	/**
	 * 
	
	 * 方法说明:如果家长换老师确认10小时未处理即后台自动处理
	
	 * 创立日期:2018年8月9日 下午7:11:30
	 * 创建人:yangcan
	
	 */
	public void updateApplyTeacherInvalid();
	
	/**
	 * @param kmtCourseId
	 * @param lessonServiceId
	 * @return
	
	 * 方法说明:获取最新的已审批的申请(调课或者换老师)记录
	
	 * 创立日期:2018年10月15日 下午1:40:29
	 * 创建人:yangcan
	
	 */
	public LessonServiceApply findHistoryApplyByKmtCourseIdOrLessonServiceIdOrderByCreateTimeDesc(String kmtCourseId,String lessonServiceId);
}
